fn main() {
    let input = include_str!("../input.txt");
    let mut left: Vec<u32> = Vec::new();
    let mut right: Vec<u32> = Vec::new();
    let count = input.lines().count();
    for line in input.lines() {
        let (l, r) = line.split_once("   ").unwrap();
        left.push(l.parse().unwrap());
        right.push(r.parse().unwrap());
    }
    let mut sum: u32 = 0;
    for _ in 0..count {
        let (il, minl) = smallest(&left);
        let (ir, minr) = smallest(&right);
        sum += if minl > minr {
            minl - minr
        } else {
            minr - minl
        };
        left.swap_remove(il);
        right.swap_remove(ir);
    }
    println!("{sum}");
}

fn smallest(source: &[u32]) -> (usize, u32) {
    let mut min = 99999;
    let mut min_index = 0;
    for (i, &n) in source.iter().enumerate() {
        if n < min {
            min = n;
            min_index = i;
        }
    }
    (min_index, min)
}
